Description

I get these errors when compiling the documentation of the devel branch of gammalib:

/home/.../gammalib/include/GXmlAttribute.hpp:48: Error: Unexpected character `"'

/home/.../gammalib/src/xml/GXmlAttribute.cpp:86: Error: Unexpected character `"'

 

and then:

This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)

 %&-line parsing enabled.

entering extended mode

(./_formulas.tex

LaTeX2e <2005/12/01>

Babel <v3.8h> and hyphenation patterns for english, usenglishmax, dumylang, noh

yphenation, arabic, basque, bulgarian, coptic, welsh, czech, slovak, german, ng

erman, danish, esperanto, spanish, catalan, galician, estonian, farsi, finnish,

 french, greek, monogreek, ancientgreek, croatian, hungarian, interlingua, ibyc

us, indonesian, icelandic, italian, latin, mongolian, dutch, norsk, polish, por

tuguese, pinyin, romanian, russian, slovenian, uppersorbian, serbian, swedish,

turkish, ukenglish, ukrainian, loaded.

(/usr/share/texmf/tex/latex/base/article.cls

Document Class: article 2005/09/16 v1.4f Standard LaTeX document class

(/usr/share/texmf/tex/latex/base/size10.clo))

(/usr/share/texmf/tex/latex/graphics/epsfig.sty

(/usr/share/texmf/tex/latex/graphics/graphicx.sty

(/usr/share/texmf/tex/latex/graphics/keyval.sty)

(/usr/share/texmf/tex/latex/graphics/graphics.sty

(/usr/share/texmf/tex/latex/graphics/trig.sty)

(/usr/share/texmf/tex/latex/config/graphics.cfg)

(/usr/share/texmf/tex/latex/graphics/dvips.def)))) (./_formulas.aux) [1]

[2] [3] [4] [5] [6] [7] [8] [9] [10] [11] [12]

! Missing \endgroup inserted.

<inserted text>

                \endgroup

l.41 ... t) = k_0 \times \left \{ \begin{eqnarray}

                                                   \left( \frac{E}{E_b} \rig...

?

 

Probably the two errors are not related.

History

#1 - 07/14/2017 01:09 PM - Di Venere Leonardo

- Subject changed from documentation error in compiling to documentation error in make doc
I have removed the " character from line 89 in src/xml/GXmlAttribute.cpp and from line 53 in include/GXmlAttribute.hpp and the first two errors

disappear.

I don't understand why this sign raise these errors, since for example there are other " charachters in other lines in the same files

(for example include/GXmlAttribute.hpp lines 45, 48, 49).

#2 - 07/14/2017 11:50 PM - Knödlseder Jürgen

I don't see the errors on my side when I type make doc.

Which Doxygen version do you have installed?

I'm not sure why you get a LaTeX error since I don't believe that LaTeX should be invoked.

#3 - 07/15/2017 01:23 PM - Di Venere Leonardo

My Doxygen version is 1.6.1. Should I update it?

Latex is invoked to generate formulas, isn't this expected?

I manually modified the file doc/html/doxygen/_formulas.tex and tried to compile it separately.

The latex errors are related to the equations that contain the "eqnarray" command. I tried to use it in another latex document and it works normally.

Apparently it is not possible to combine this command inside another formula command (\[ ... \] ).

Maybe is there something I should update?

Another error is in the formula at line 935 of file doc/html/doxygen/_formulas.tex

\simga --> \sigma

The problem is that this file is generated automatically by doxygen and I don't know where these formulas come from.

#4 - 07/15/2017 10:47 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.3.1

- % Done changed from 0 to 50

user#232 wrote:

My Doxygen version is 1.6.1. Should I update it?

 

I have Doxygen version 1.8.11. Maybe it behaves differently than your version.

Latex is invoked to generate formulas, isn't this expected?

 

True, I forgot the formulae.

I manually modified the file doc/html/doxygen/_formulas.tex and tried to compile it separately.

The latex errors are related to the equations that contain the "eqnarray" command. I tried to use it in another latex document and it works
normally. Apparently it is not possible to combine this command inside another formula command (\[ ... \] ).

Maybe is there something I should update?

Another error is in the formula at line 935 of file doc/html/doxygen/_formulas.tex

\simga --> \sigma

 

I corrected the type (in GCTAPsfKing.cpp)

The problem is that this file is generated automatically by doxygen and I don't know where these formulas come from.

#5 - 07/15/2017 10:59 PM - Knödlseder Jürgen

Looks like the quotes problem is a bug in Doxygen 1.6.1: https://bugzilla.gnome.org/show_bug.cgi?id=594592

I could not identify the LateX problem, though. I cannot find any TeX file in my doxygen folder, maybe the new doxygen handles things differently.

So I suggest you upgrade your Doxygen and then tell me if you still find some issues.

#6 - 07/17/2017 02:01 PM - Di Venere Leonardo

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

I upgraded the doxygen version to 1.8.13 and the errors disappeared.

Also the latex errors disappeared, even though I hadn't corrected the typo.

I checked in documentation html pages produced by doxygen. In correspondence of the latex typo (\simga) there is a yellow line

"Undefined control sequence \simga", but no error is raised by doxygen.

I still don't understand why I hadn't similar problems before with the previous doxygen version.

Thanks!

#7 - 07/23/2017 04:19 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed
